<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary mr-1" (click)="nuevo()">
    <i class="fas fa-plus mr-2"></i>Nuevo
  </button>
  <button class="btn btn-success" (click)="guardar()" [disabled]="ngForm.invalid">
    <i class="fas fa-save mr-2"></i>Guardar
  </button>
</app-page-title>

<div class="main-card mb-3 card animated fadeIn">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row">
        <div class="col-12 col-sm-6 col-md-5 col-lg-5 col-xl-5">
          <label>Clave</label>
          <input type="text" class="form-control" formControlName="cClave" maxlength="8" pattern="[0-9]*"
            [readonly]="!flagNuevo">
        </div>
        <div class="col-12 col-sm-6 col-md-5 col-lg-5 col-xl-5">
          <label>Descripción</label>
          <input type="text" class="form-control" formControlName="cDesc" maxlength="50">
        </div>
        <div class="col col-2">
          <label class="w-100">Inactivo</label>
          <kendo-switch formControlName="Inactivo"></kendo-switch>
        </div>
      </div>

    </form>

    <div class="divider"></div>


    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [resizable]="true" [navigable]="true"
      [pageSize]="pageSize" [sortable]="true" filterable="menu" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 53vh;"
      (selectionChange)="selectedRow($event)">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="cClave" title="Clave" width="150">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="cDesc" title="Descripción" width="150">
          <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter"
            let-filterService="filterService">
            <multicheck-filter [isPrimitive]="true" [field]="column.field" [filterService]="filterService"
              [currentFilter]="filter" [data]="distinctPrimitive(column.field)">
            </multicheck-filter>
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Inactivo" title="Inactivo" width="100" filterable="false">
          <ng-template kendoGridCellTemplate let-dataItem>
            <input type="checkbox" [checked]="dataItem.Inactivo" disabled />
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-command-column width="120">
          <ng-template kendoGridCellTemplate let-dataItem>
            <button class="btn btn-danger" (click)="eliminar(dataItem)">
              <i class="fas fa-trash-alt mr-1"></i> Eliminar
            </button>
          </ng-template>
        </kendo-grid-command-column>

      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

    <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>

  </div>
</div>